Skip to main content
POST
/
api
/
customer
/
{customerId}
/
risk-assessment
/
approval
changeApprovalStatus
curl --request POST \
  --url https://api.artemis.cynopsis.co/api/customer/{customerId}/risk-assessment/approval \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Domain-ID: <x-domain-id>' \
  --data '
{
  "assignTo": 123,
  "message": "<string>"
}
'
import requests

url = "https://api.artemis.cynopsis.co/api/customer/{customerId}/risk-assessment/approval"

payload = {
"assignTo": 123,
"message": "<string>"
}
headers = {
"X-Domain-ID": "<x-domain-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {
'X-Domain-ID': '<x-domain-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({assignTo: 123, message: '<string>'})
};

fetch('https://api.artemis.cynopsis.co/api/customer/{customerId}/risk-assessment/approval', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "createdAt": {
    "date": 123,
    "day": 123,
    "hours": 123,
    "minutes": 123,
    "month": 123,
    "nanos": 123,
    "seconds": 123,
    "time": 123,
    "timezoneOffset": 123,
    "year": 123
  },
  "createdBy": {
    "email": "<string>",
    "firstName": "<string>",
    "fullName": "<string>",
    "id": 123,
    "lastName": "<string>"
  },
  "customerId": 123,
  "id": 123,
  "risk": {},
  "riskScore": 123,
  "updatedAt": {
    "date": 123,
    "day": 123,
    "hours": 123,
    "minutes": 123,
    "month": 123,
    "nanos": 123,
    "seconds": 123,
    "time": 123,
    "timezoneOffset": 123,
    "year": 123
  },
  "updatedBy": {
    "email": "<string>",
    "firstName": "<string>",
    "fullName": "<string>",
    "id": 123,
    "lastName": "<string>"
  }
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

X-Domain-ID
integer<int64>
required

X-Domain-ID

Path Parameters

customerId
integer<int64>
required

customerId

Query Parameters

authority
string
claims
object
domains[0].id
integer<int64>
domains[0].name
string
email
string
headers
object
scopes
string
tokenValue
string
userId
string

Body

application/json

requestDto

approvalStatus
enum<string>
required
Available options:
ACCEPTED,
CLEARED,
PENDING,
REJECTED,
REQUEST_CHANGES
overrideRiskRating
enum<string>
required
Available options:
HIGH,
LOW,
MEDIUM,
MEDIUM_HIGH,
MEDIUM_LOW,
UNKNOWN
assignTo
integer<int64>
message
string

Response

OK

approvalStatus
enum<string>
Available options:
ACCEPTED,
CLEARED,
PENDING,
REJECTED,
REQUEST_CHANGES
createdAt
TimestampRes · object
createdBy
UserInfo · object
customerId
integer<int64>
id
integer<int64>
overrideRiskRating
enum<string>
Available options:
HIGH,
LOW,
MEDIUM,
MEDIUM_HIGH,
MEDIUM_LOW,
UNKNOWN
risk
object
riskRating
enum<string>
Available options:
HIGH,
LOW,
MEDIUM,
MEDIUM_HIGH,
MEDIUM_LOW,
UNKNOWN
riskScore
number<float>
updatedAt
TimestampRes · object
updatedBy
UserInfo · object